usb_wait_anchor_empty_timeout
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_wait_anchor_empty_timeout — wait for an anchor to be unused

## Synopsis

`int usb_wait_anchor_empty_timeout (` | struct usb_anchor * | anchor,
| unsigned int | timeout`)`;

## Arguments

`anchor`

  the anchor you want to become unused

`timeout`

  how long you are willing to wait in milliseconds

## Description

Call this is you want to be sure all an anchor's URBs have finished

Prev | Up | Next
usb_kill_anchored_urbs | Home | usb_control_msg